> For the complete documentation index, see [llms.txt](https://docs.coresignal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coresignal.com/company-data/api.md).

# Company API

Company API overview: endpoints and rate limits for accessing enriched fresh company data via Search, Collect, Enrich, and Bulk Collect.

## Overview

This section provides essential information about the Company Data API. For further details regarding the API and its endpoints, follow the links below:

<table data-view="cards"><thead><tr><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td>Company API endpoints</td><td><a href="/company-data/api.md#company-api-endpoints">Company API</a></td></tr><tr><td>Company data dictionary</td><td><a href="/company-data/bundles.md">Company Data Bundles</a></td></tr><tr><td>Full company record sample</td><td><a href="/company-data/record-sample.md">Company Record Sample</a></td></tr><tr><td>Rate limits</td><td><a href="/api-introduction/rate-limits.md">Rate Limits</a></td></tr><tr><td>Credits</td><td><a href="/api-introduction/credits.md">Credits</a></td></tr></tbody></table>

{% hint style="info" %}
Our API is a data retrieval tool. The endpoints do not support analytic features.
{% endhint %}

## Company API endpoints

Company API features **three search** (POST) and **three collect** (GET) endpoints for searching and collecting relevant company data.

<table><thead><tr><th width="299.703125">Endpoint</th><th width="299.8984375">Function</th><th>Credits</th></tr></thead><tbody><tr><td>POST <a href="/company-data/api/elasticsearch-dsl.md"><em>/v2/company_multi_source/search/es_dsl</em></a></td><td>Search for relevant company data using Elasticsearch DSL schema</td><td>Free</td></tr><tr><td>POST <a href="/company-data/api/elasticsearch-dsl.md"><em>/v2/company_multi_source/semantic_search/es_dsl</em></a></td><td>Search for relevant company data using Elasticsearch DSL schema with applied semantic search</td><td>Free</td></tr><tr><td>POST <a href="/company-data/api/search-preview.md"><em>/v2/company_multi_source/search/es_dsl/preview</em></a></td><td>Retrieves a small set of partial data using Elasticsearch queries</td><td>20</td></tr><tr><td>GET <a href="/company-data/api/collect.md"><em>/v2/company_multi_source/collect/{company_id}</em></a></td><td>Collect company data using IDs</td><td>20</td></tr><tr><td>GET <a href="/company-data/api/collect.md#collection-using-shorthand-names"><em>/v2/company_multi_source/collect/{profile_url/shorthand_name}</em></a></td><td>Collect company data using profile URLs or shorthand names*</td><td>20</td></tr><tr><td>GET <a href="/company-data/api/enrich.md"><em>/v2/company_multi_source/enrich?website={URL}</em></a></td><td>Collect company data using website URLs</td><td>20</td></tr></tbody></table>

\*📌 Full profile URL example: [www.professional-network.com/company/\*\*example-company\*\*.\\](http://www.professional-network.com/company/**example-company**.\\)
Shorthand name example: example-company.

{% hint style="warning" %}
All Company API requests must be made over HTTPS. Requests made over HTTP will fail or be redirected to HTTPS.
{% endhint %}

### Bulk Collect

Bulk Collect (Bulk API) expands upon Company API's functionality, featuring **two POST** and **two GET** endpoints. Bulk Collect allows you to search and collect company data in bulk using company IDs and Elasticsearch DSL queries.

| Endpoint                                                                                                                               |
| -------------------------------------------------------------------------------------------------------------------------------------- |
| POST [*/v2/data\_requests/company\_multi\_source/ids*](/company-data/api/bulk-collect/post-requests.md#ids-requests)                   |
| POST [*/v2/data\_requests/company\_multi\_source/es\_dsl*](/company-data/api/bulk-collect/post-requests.md#elasticsearch-dsl-requests) |
| GET */v2/data\_requests/{data\_request\_id}/files*                                                                                     |
| GET */v2/data\_requests/{data\_request\_id}/files/{file\_name}*                                                                        |

Read more about Bulk Collect in the following article:

<table data-view="cards"><thead><tr><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td>Bulk Collect</td><td><a href="/api-introduction/requests/bulk-collect.md">Bulk Collect</a></td></tr></tbody></table>

### Webhooks

Webhooks enable you to receive automatic, event-driven notifications when changes are detected in your subscribed company profiles.

Use the following endpoints to subscribe to profile changes in company data:

| Endpoint                                                                                                                   |
| -------------------------------------------------------------------------------------------------------------------------- |
| POST [*/v2/subscriptions/company\_multi\_source/es\_dsl*](/company-data/api/webhooks.md#subscribe-using-elasticsearch-dsl) |
| POST [*/v2/subscriptions/company\_multi\_source/ids*](/company-data/api/webhooks.md#subscribe-using-ids)                   |

Learn more about <a href="/company-data/api/webhooks.md" class="button secondary">Webhooks</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.coresignal.com/company-data/api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
